Bug 998020 - dshield.conf: mailx confused by order of <dest> <mailargs>
Summary: dshield.conf: mailx confused by order of <dest> <mailargs>
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fail2ban
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-16 18:33 UTC by Rolf Fokkens
Modified: 2013-09-17 17:27 UTC (History)
2 users (show)

Fixed In Version: fail2ban-0.8.10-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-17 17:27:55 UTC


Attachments (Terms of Use)
This Patch solves the issue until upstream takes care of it. (1.92 KB, patch)
2013-08-16 18:33 UTC, Rolf Fokkens
no flags Details | Diff

Description Rolf Fokkens 2013-08-16 18:33:05 UTC
Created attachment 787422 [details]
This Patch solves the issue until upstream takes care of it.

Description of problem:
When specifying mailargs= in dshield.local mailx processes all the <mailargs> as mail destinations if they are presented after <dest> insted of processing the mailargs as options.

The solution for me is simple: swap the order af both <dest> and <mailargs>.

Version-Release number of selected component (if applicable):
fail2ban-0.8.10-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Specify mailargs= in dshield.local with mail(x) options like -b and -r
2. Wait until som hackers 'knock on your door'
3. Note the errors in /var/log/maillog whenever a report is sent to dshield

Actual results:
Errors in /var/log/maillog stating that the options in mailargs= are no valid email addresses, e.g.:
Aug 16 15:17:14 thdev1 postfix/sendmail[23706]: fatal: unsupported: -b-

Expected results:
Useful processing of the options provided, like specifying the sender mail address.

Additional info:
https://github.com/fail2ban/fail2ban/issues/328

Comment 1 Fedora Update System 2013-08-28 18:14:29 UTC
fail2ban-0.8.10-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fail2ban-0.8.10-3.el6

Comment 2 Fedora Update System 2013-08-29 17:42:08 UTC
Package fail2ban-0.8.10-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fail2ban-0.8.10-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11384/fail2ban-0.8.10-3.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-09-17 17:27:55 UTC
fail2ban-0.8.10-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.